/**
 * Copyright Copyright 2007-8 Simon Andrews
 *
 *    This file is part of StackMeasure.
 *
 *    StackMeasure is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    StackMeasure is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with StackMeasure; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
import java.text.DecimalFormat;


public class DistanceMeasure {

	private final Pixel p1;
	private final Pixel p2;
	private final double distance;
	private DecimalFormat df = new DecimalFormat("#.###");
	
	public DistanceMeasure (final Pixel p1, final Pixel p2, final double distance) {
		this.p1 = p1;
		this.p2 = p2;
		this.distance = distance;
	}
	
	public Pixel firstPixel () {
		return p1;
	}
	
	public Pixel secondPixel () {
		return p2;
	}
	
	public double distance () {
		return distance;
	}
	
	public String roundedDistance () {
		return df.format(distance);
	}
	
	public String toString () {
		return df.format(distance)+" \u00B5"+"m";
	}
	
}
